Subject: Re: bug#11807: (Windows XP issue?) Re: bug#11807: M-x display-time-world & EDT/DST

From: Jason Rumney <[email-masked]>
Date: Sat, 30 Jun 2012 11:37:43 +0800

Eli Zaretskii <[email-masked]> writes:

> I don't think the MS-Windows version of tzset supports TZ values such
> as CET-1CEST.  The time-zone strings it supports need to be 3-letter,
> not 4-letter.  See this thread for more:

That may be an issue for that particular timezone string, but I think
the issue is deeper than that. From my recollection, Windows always
applies the timezone rules configured in the system control panel,
it only partially supports TZ environment variables for overriding
those.  More precisely, Windows itself does not support the TZ variable
at all, the C runtime library does, but retains calls into the Windows
system library for information that is missing from the TZ variable such
as DST start/end dates (which do not exist for K Jambunathan's locale,
so DST is never applied on his machine).